Bug 316971 - Review Request: centerim - Text mode menu- and window-driven IM
Summary: Review Request: centerim - Text mode menu- and window-driven IM
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 316191
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-03 15:05 UTC by Lubomir Kundrak
Modified: 2016-08-14 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 06:26:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-10-03 15:05:05 UTC
Spec URL: http://people.redhat.com/lkundrak/SPECS/centerim.spec
SRPM URL:
http://people.redhat.com/lkundrak/mock-results/centerim-20070625-1.fc7.i386/centerim-20070625-1.fc7.src.rpm
Description: Text mode menu- and window-driven IM

CenterIM is a text mode menu- and window-driven IM interface that supports the
ICQ2000, Yahoo!, AIM, MSN, IRC and Jabber protocols.

A few random notes for reviewer:

Please note that this package is based on existing CenterICQ package.

rpmlint is quiet about the package.

The ugly stable_ver and snapshot_ver macros will go away -- I'm in touch with
usptream and will import the package only after the new stable version is out.

I am aware of the fact that the package doesn't build in rawhide. This is due to
the problem with curl. I filed a report (bug #316191) with a patch for it rather
than doing a workaround (which would be ugly).

Comment 1 Lubomir Kundrak 2007-10-03 21:08:14 UTC
The BuildRoot tag is not right.
I'll change it to
  BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
in the next spin


Comment 2 Jason Tibbitts 2007-10-03 23:16:50 UTC
There's no need to use the old FE-NEW/FE-REVIEW/FE-ACCEPT blockers any longer;
we have the fedora-review flag for that now.

Comment 3 Marek Mahut 2007-10-08 09:17:18 UTC
Hello Lubomir,

I agree with obsoleting CenterICQ in favor of CenterIM. The spec file seems
correct (just update buildroot) and the package build correctly on F7. The
problem with curl isn't fixed yet in rawhide.

APPROVED.

Comment 4 Lubomir Kundrak 2007-10-08 10:49:38 UTC
New Package CVS Request
=======================
Package Name: centerim
Short Description: Text mode menu- and window-driven IM
Owners: lkundrak,awjb
Branches: FC-6 F-7
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2007-10-09 04:25:12 UTC
cvs done.

Comment 6 Lubomir Kundrak 2007-10-09 06:26:47 UTC
Thanks Marek and Kevin, the package was imported into CVS.

Comment 7 Lubomir Kundrak 2007-12-29 20:17:36 UTC
Package Change Request
======================
Package Name: centerim
New Branches: F-9

Please branch devel into F-9. I'm planning to import a new git snapshot with
some extensive changes, but it's not sure it will get stable before F-9. As the
current version is stable, I'd like it to be in F-9 then.

Comment 8 Kevin Fenzi 2007-12-29 21:14:34 UTC
We don't have any setup for F-9 branches yet...I'm not sure when they are
planned, but later in the release cycle. 

Perhaps ask on the devel list and see when F-9 early branching might start?

Comment 9 Lubomir Kundrak 2008-04-11 09:59:15 UTC
Package Change Request
=======================
Package Name: centerim
New Branches: EL-5
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-04-12 20:44:17 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.